Bug 187477 - Unable to unmount dvd drive after automount + kernel errors
Unable to unmount dvd drive after automount + kernel errors
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: autofs (Show other bugs)
5
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Karel Zak
Ben Levenson
bzcl34nup
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-03-31 04:11 EST by Christopher Stone
Modified: 2008-05-06 11:43 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-06 11:43:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Christopher Stone 2006-03-31 04:11:24 EST
Description of problem:
After inserting a DVD into my DVD recorder, it will automount the drive under
/media/disk  While the DVD is mounted I get an endless loop of kernel messages:

Mar 31 00:40:25 rivendell kernel: ATAPI device hdc:
Mar 31 00:40:25 rivendell kernel:   Unknown Error Type: (reserved) -- (Sense
key=0x0a)
Mar 31 00:40:25 rivendell kernel:   (reserved error code) -- (asc=0x01, ascq=0x68)
Mar 31 00:40:25 rivendell kernel:   The failed "Test Unit Ready" packet command
was: 
Mar 31 00:40:25 rivendell kernel:   "00 00 00 00 00 00 00 00 00 00 00 00 00 00
00 00 "
Mar 31 01:01:36 rivendell kernel: hdc: packet command error: status=0x51 {
DriveReady SeekComplete Error }
Mar 31 01:01:36 rivendell kernel: hdc: packet command error: error=0x54 {
AbortedCommand LastFailedSense=0x05 }
Mar 31 01:01:36 rivendell kernel: ide: failed opcode was: unknown
Mar 31 01:01:37 rivendell kernel: hdc: packet command error: status=0x51 {
DriveReady SeekComplete Error }
Mar 31 01:01:37 rivendell kernel: hdc: packet command error: error=0x54 {
AbortedCommand LastFailedSense=0x05 }
Mar 31 01:01:37 rivendell kernel: ide: failed opcode was: unknown

... and so on endlessly until I unmount the drive.

Attempting to unmount the drive as the user who owns /dev/hdc results in:

$ umount /media/disk
umount: /media/disk is not in the fstab (and you are not root)

I am forced to log in as root to unmount and eject the drive.

Version-Release number of selected component (if applicable):
util-linux-2.13-0.20
ALthough I'm not sure if this is mount's fault.  I apologize if this bug is
filed under the wrong component.

How reproducible:
Insert DVD. Attempt to unmount DVD as the user who logged into system.

Steps to Reproduce:
1. Insert DVD
2. umount /media/disk

  
Actual results:
Unable to unmount because no fstab entry

Expected results:
Should be able to unmount and eject


Additional info:
# ll /dev/hdc
brw------- 1 chris disk 22, 0 Mar 29 16:54 /dev/hdc

NOTE: I upgraded from FC4 to FC5, so perhaps this bug only manifests itself on
an upgrade.
Comment 1 Christopher Stone 2006-04-02 05:46:01 EDT
I've since rebooted my machine, and I no longer get these kernel errors. 
However shouldn't I be able to unmount and eject the drive as a normal user?
Comment 2 Bug Zapper 2008-04-03 22:24:20 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 3 Bug Zapper 2008-05-06 11:43:35 EDT
This bug is open for a Fedora version that is no longer maintained and
will not be fixed by Fedora. Therefore we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen thus bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.